Package com.io7m.cedarbridge.runtime.container_protocol

# Record Class CBContainerProtocolAvailable

java.lang.Object
java.lang.Record
com.io7m.cedarbridge.runtime.container_protocol.CBContainerProtocolAvailable

Record Components:
  `containerProtocolMinimumVersion` - The minimum supported container protocol version
  `containerProtocolMaximumVersion` - The maximum supported container protocol version
  `applicationProtocolId` - The application protocol ID
  `applicationProtocolMinimumVersion` - The minimum supported application protocol version
  `applicationProtocolMaximumVersion` - The maximum supported application protocol version

public record CBContainerProtocolAvailable(long containerProtocolMinimumVersion, long containerProtocolMaximumVersion, UUID applicationProtocolId, long applicationProtocolMinimumVersion, long applicationProtocolMaximumVersion) extends Record
An availability message, typically presented by a server, that announces the available application protocol ID and version, and the version of the container protocol used to serve it.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CBContainerProtocolAvailable(long containerProtocolMinimumVersion, long containerProtocolMaximumVersion, UUID applicationProtocolId, long applicationProtocolMinimumVersion, long applicationProtocolMaximumVersion)`
  An availability message, typically presented by a server, that announces the available application protocol ID and version, and the version of the container protocol used to serve it.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `UUID`
  `applicationProtocolId()`
  Returns the value of the `applicationProtocolId` record component.
  `long`
  `applicationProtocolMaximumVersion()`
  Returns the value of the `applicationProtocolMaximumVersion` record component.
  `long`
  `applicationProtocolMinimumVersion()`
  Returns the value of the `applicationProtocolMinimumVersion` record component.
  `long`
  `containerProtocolMaximumVersion()`
  Returns the value of the `containerProtocolMaximumVersion` record component.
  `long`
  `containerProtocolMinimumVersion()`
  Returns the value of the `containerProtocolMinimumVersion` record component.
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `final String`
  `toString()`
  Returns a string representation of this record class.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### CBContainerProtocolAvailable

    public CBContainerProtocolAvailable(long containerProtocolMinimumVersion, long containerProtocolMaximumVersion, UUID applicationProtocolId, long applicationProtocolMinimumVersion, long applicationProtocolMaximumVersion)
    An availability message, typically presented by a server, that announces the available application protocol ID and version, and the version of the container protocol used to serve it.
    Parameters:
      `containerProtocolMinimumVersion` - The minimum supported container protocol version
      `containerProtocolMaximumVersion` - The maximum supported container protocol version
      `applicationProtocolId` - The application protocol ID
      `applicationProtocolMinimumVersion` - The minimum supported application protocol version
      `applicationProtocolMaximumVersion` - The maximum supported application protocol version

- ## Method Details

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. Reference components are compared with `Objects::equals(Object,Object)`; primitive components are compared with '=='.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### containerProtocolMinimumVersion

    public long containerProtocolMinimumVersion()
    Returns the value of the `containerProtocolMinimumVersion` record component.
    Returns:
      the value of the `containerProtocolMinimumVersion` record component

  - ### containerProtocolMaximumVersion

    public long containerProtocolMaximumVersion()
    Returns the value of the `containerProtocolMaximumVersion` record component.
    Returns:
      the value of the `containerProtocolMaximumVersion` record component

  - ### applicationProtocolId

    public UUID applicationProtocolId()
    Returns the value of the `applicationProtocolId` record component.
    Returns:
      the value of the `applicationProtocolId` record component

  - ### applicationProtocolMinimumVersion

    public long applicationProtocolMinimumVersion()
    Returns the value of the `applicationProtocolMinimumVersion` record component.
    Returns:
      the value of the `applicationProtocolMinimumVersion` record component

  - ### applicationProtocolMaximumVersion

    public long applicationProtocolMaximumVersion()
    Returns the value of the `applicationProtocolMaximumVersion` record component.
    Returns:
      the value of the `applicationProtocolMaximumVersion` record component